%define name gnorpm
%define version 0.96
%define release 1mdk

Summary: A graphical front-end to RPM for GNOME.
Name: %{name}
Version: %{version}
Release: %{release}

Copyright: GPL
Group: System/Configuration/Packaging

Source0: %{name}-%{version}.tar.bz2
Source1: gnorpm.pamd.bz2
Source2: gnorpm.apps.bz2
Source3: gnorpm-icons16.xpm.bz2
Source4: gnorpm-icons32.xpm.bz2
Source5: gnorpm-icons48.xpm.bz2

Patch0: gnorpm-0.96-mdkconfig.patch.bz2
Patch3: gnorpm-0.96-uid.patch.bz2
Patch5: gnorpm-0.96-newkeys.patch.bz2
Patch8: gnorpm-0.96-newdesktop.patch.bz2
Patch10: gnorpm-0.96-instsrpm.patch.bz2
Patch11: gnorpm-0.96-rpm40-crash.patch.bz2
# (fc) 0.95.1-3mdk move gnorpmrc to /usr/share/gtkrc
Patch12: gnorpm-0.95.1-gtkrc.patch.bz2
# (gb) 0.96-1mdk needed to compile the docs with DocBook 3.1
Patch13: gnorpm-0.96-docbook3.1.patch.bz2

BuildRoot: %{_tmppath}/%{name}-%{version}-root
Obsoletes: glint
Requires: usermode >= 1.13
Requires: popt

# XXX Please add version requirements to the build prereqs if you know them ...
BuildRequires: rpm-devel XFree86-devel gnome-libs-devel audiofile-devel bzip2 esound-devel imlib-devel libghttp-devel popt-devel libxml-devel zlib-devel
BuildRequires: zlib-devel >= 1.0.4
BuildRequires: bzip2 >= 0.9.5c
BuildRequires: libxml-devel
BuildRequires: gtk+-devel
BuildRequires: gnome-libs-devel
BuildRequires: glib-devel
BuildRequires: libghttp-devel
BuildRequires: imlib-devel
BuildRequires: esound-devel
BuildRequires: audiofile-devel
BuildRequires: XFree86-libs
BuildRequires: popt-devel

# (gb) 0.96-1mdk building the documentation requires Jade and DocBook DTD 3.1
BuildRequires: openjade
BuildRequires: sgml-tools
BuildRequires: docbook-dtd31-sgml
BuildRequires: docbook-style-dsssl

%description
Gnome-RPM is a graphical front-end to to the RPM Package Manager
(RPM). Gnome-RPM is similar to Glint, but is written using the GTK+
widget set and the GNOME libraries.  Gnome-RPM is currently in
development, so some features are missing, but you can currently
query, install, upgrade, uninstall and verify packages using a GUI
interface.

%prep
%setup -q
%patch0 -p1 -b .mdkconfig
%patch3 -p1 -b .uid
%patch5 -p1 -b .newkeys
%patch8 -p1 -b .newdesktop
%patch10 -p1 -b .instsrpm
%patch11 -p1 -b .rpm40-crash
%patch12 -p1 -b .gtkrc
%patch13 -p1 -b .docbook3.1

# (fc) 0.95.1-3mdk needed for patch12
automake
%build

%configure

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall gtkrcdir=$RPM_BUILD_ROOT%{_datadir}/gtkrc

ln -sf consolehelper ${RPM_BUILD_ROOT}%{_bindir}/gnorpm-auth
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/{pam.d,security/console.apps}
bzcat %{SOURCE1} > $RPM_BUILD_ROOT%{_sysconfdir}/pam.d/gnorpm-auth
bzcat %{SOURCE2} > $RPM_BUILD_ROOT%{_sysconfdir}/security/console.apps/gnorpm-auth
mkdir -p $RPM_BUILD_ROOT%{_iconsdir} $RPM_BUILD_ROOT%{_liconsdir} $RPM_BUILD_ROOT%{_miconsdir}
bzcat %{SOURCE3} > $RPM_BUILD_ROOT%{_miconsdir}/%{name}.xpm
bzcat %{SOURCE4} > $RPM_BUILD_ROOT%{_iconsdir}/%{name}.xpm
bzcat %{SOURCE5} > $RPM_BUILD_ROOT%{_liconsdir}/%{name}.xpm

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): \
    command="%{_bindir}/gnorpm-auth" \
    icon="gnorpm.xpm" \
    needs="x11" \
    section="Configuration/Packaging" \
    title="GnoRPM" \
    longtitle="A graphical front-end to RPM for GNOME"
EOF

%{find_lang} %{name}

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root) 
%{_bindir}/gnorpm
%{_bindir}/gnorpm-auth
%{_menudir}/gnorpm
%{_iconsdir}/%{name}*
%{_liconsdir}/%{name}*
%{_miconsdir}/%{name}*
%{_datadir}/gnome/help/gnorpm/C/*
%config(noreplace) %{_datadir}/gtkrc/*gnorpmrc
%config(noreplace) %{_datadir}/mime-info/gnorpm.keys
%config(noreplace) %{_sysconfdir}/pam.d/gnorpm-auth
%config(noreplace) %{_sysconfdir}/security/console.apps/gnorpm-auth
#%{_datadir}/pixmaps/defpackage.gif
%doc AUTHORS NEWS README

%changelog
* Fri Feb 23 2001 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.96-1mdk
- Updated to release 0.96
- Added extra 'BuildRequires' rules
- Fixed compilation of the docs with DocBook 3.1 (patch13)
- Removed ko.po patch
- Cleaned up specfile

* Fri Jan 19 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.95.1-3mdk
- Move gnorpmrc to /usr/share/gtkrc (patch12)

* Thu Oct 19 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.95.1-2mdk
- Add instsrpm and rpmv4fix patches from Red Hat.
- rpmv4 aware.

* Mon Oct  2 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.95.1-1mdk
- 0.95.1 from acox, security fix.

* Tue Sep 26 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.95-2mdk
- Pamstackizification.

* Thu Sep 21 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.95-1mdk
- Release 0.95
- updated ko.po file from CVS
- Rebuild some patches, removed others which has been merged

* Tue Sep  5 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9-3mdk
- Use find_lang macro
- use noreplace for config files
- add icons for menu

* Tue Aug 08 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.9-2mdk
- automatically added BuildRequires

* Thu Jul 27 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9-1mdk
- first Mandrake package
- BM + macroszification

* Mon Mar 06 2000 Owen Taylor <otaylor@redhat.com>
- Fix bug causing install dialog to crash when no packages available

* Fri Feb 04 2000 Jonathan Blandford <jrb@redhat.com>
- Make gnorpm-auth -Uvh be the default action for dbl-click

* Wed Feb 02 2000 Cristian Gafton <gafton@redhat.com>
- fix description

* Fri Jan 21 2000 Jeff Johnson <jbj@redhat.com>
- use gnorpm-auth in desktop config.

* Wed Dec 15 1999 Jeff Johnson <jbj@redhat.com>
- Patch for rpm-3.0.4 compatibility (preliminary).
- Patch to fix missing return seg-fault (Owen Taylor).

* Thu Sep 30 1999 Jonathan Blandford <jrb@redhat.com>
- Add gnorpm-auth to the .keys file for gmc.

* Sat Sep 25 1999 Jeff Johnson <jbj@redhat.com>
- recompile with rpm-3.0.3-1.

* Mon Sep 20 1999 Michael K. Johnson <johnsonm@redhat.com>
- added requirement for latest usermode

* Mon Sep 20 1999 Owen Taylor <otaylor@redhat.com>
- Added extra cdrom directories for powertools to directory list

* Thu Sep 09 1999 Michael K. Johnson <johnsonm@redhat.com>
- added uid patch so that it works right when run via consolehelper

* Wed Sep 08 1999 Michael K. Johnson <johnsonm@redhat.com>
- gnorpm-auth consolehelper setup
- add -lbz2 to LDFLAGS.

* Mon Aug 16 1999 Michael Fulbright <drmike@redhat.com>
- version 0.9

* Fri Apr 16 1999 Matt Wilson <msw@redhat.com>
- fixed upgrade brokenness

* Thu Apr 15 1999 Michael Fulbright <drmike@redhat.com>
- added missing gnorpm.keys file to file list

* Mon Apr 12 1999 Matt Wilson <msw@redhat.com>
- updated to 0.8

* Fri Mar 12 1999 Matt Wilson <msw@redhat.com>
- patched to work with rpm-3.0
- GnoRPM obsoletes glint.
